<?php
	if(defined('OVA_THEME_URL') 	== false) 	define('OVA_THEME_URL', get_template_directory());
	if(defined('OVA_THEME_URI') 	== false) 	define('OVA_THEME_URI', get_template_directory_uri());

	// Load the theme of translated strings
	load_theme_textdomain( 'helium', OVA_THEME_URL . '/languages' );
	
	// require libraries, function
	require( OVA_THEME_URL.'/framework/init.php' );

	// Require customizer
	require( OVA_THEME_URL.'/framework/customizer/customizer_default.php' );
	require( OVA_THEME_URL.'/framework/customizer/customizer_google_font.php' );
	require( OVA_THEME_URL.'/extend/customizer.php' );

	// Require metabox
	require( OVA_THEME_URL.'/framework/metabox_default.php' );
	require( OVA_THEME_URL.'/extend/metabox.php' );

	// Setup theme
	require( OVA_THEME_URL.'/framework/setup_theme.php' );

	// Add js, css, live customizer
	require( OVA_THEME_URL.'/extend/add_js_css.php' );

	// register menu
	require( OVA_THEME_URL.'/extend/register_menu.php' );	

	// register widget
	require( OVA_THEME_URL.'/extend/register_widget.php' );

	// require breadcrumbs
	require( OVA_THEME_URL.'/extend/breadcrumbs.php' );

	// require content
	require_once (OVA_THEME_URL.'/content/define_blocks_content.php');
	
	// require active plugin
	require_once ( OVA_THEME_URL.'/extend/active_plugins.php' );

	// require active menu
	require_once ( OVA_THEME_URL.'/extend/themeslug_walker_nav_menu.php' );

